k0rdent AI Docs

Create project

Visibility: internal · public ( OpenAPI Custom Extension: x-visibility )

Create a new project within an organization as a logical grouping of resources.

POST
/v1/regions/global/projects

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Request Body

application/json

id?string

Name of the resource. Must be 1-63 characters long and match the pattern a-z? — the first character must be a lowercase letter, and all following characters must be lowercase letters, digits, or hyphens, with the last character being a letter or digit. If not specified, the server will generate a name.

Match^[a-z]([-a-z0-9]*[a-z0-9])?$
Length1 <= length <= 63
displayName?string

Optional human-friendly display name for the project.

description?string

An optional description of this resource.

organizationId*string

Parent organization ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/global/projects" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string"  }'
{
  "selfLink": "/v1/regions/global/projects/project-x9y8z7",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "project-x9y8z7",
  "displayName": "string",
  "description": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "organizationId": "string"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings